@import url("https://fonts.googleapis.com/css2?family=Alumni+Sans+Inline+One&family=Roboto&display=swap");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
}

body {
    min-height: 100vh;
    color: white;
    background-image: linear-gradient(
            rgba(255, 255, 255, 0.7),
            rgba(0, 0, 0, 0.7)
        ),
        url("./img/default.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: background-image 0.3s ease-in-out;
    text-shadow: 2px 2px 15px black;
}

body > * {
    height: max(33.3vh, 250px);
}

.weather-info,
.wrapper,
.icon-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.wrapper {
    gap: 20px;
    margin: 0 100px;
}

.weather-info {
    font-size: 72px;
    gap: 20px;
}

.select-units {
    font-size: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 42px;
}

.select-units > * {
    cursor: pointer;
}

.selected-unit {
    text-decoration: underline;
    transform: scale(1.3);
}

.icon-wrapper {
    font-size: 48px;
}

h1 {
    font-size: 82px;
    text-align: center;
}

input {
    color: inherit;
    padding: 20px;
    border: 3px solid white;
    border-radius: 50px;
    outline: none;
    background: rgba(0, 0, 0, 0.3);
    font-size: 24px;
    width: max(30vw, 500px);
    text-align: center;
}

::placeholder {
    color: white;
}

form {
    display: flex;
    align-items: center;
    gap: 10px;
}

form > button {
    background-color: transparent;
    border: none;
    outline: none;
    cursor: pointer;
}

@media (max-width: 1000px) {
    input {
        width: 80vw;
    }
}

@media (max-width: 600px) {
    h1 {
        font-size: 36px;
    }
    input {
        width: 90vw;
        padding: 10px;
    }
    .wrapper {
        margin: 0 20px;
    }
    form {
        flex-direction: column;
    }
}
